/{organizationId}/{mandateId}/sales/inventory/availabilityGet inventory availability
Checks inventory availability for product lines, including composed products and capacity periods
Required permissions:
mandate.read
product.read
inventory.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
minItems: 1
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/sales/inventory/availability' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"requests": [
{
"reference": "string",
"productId": "string",
"quantity": 1,
"periodId": "string"
}
]
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
scopeKeystringrequired requestednumberrequired exclusiveMinimum: 0
capacitynumberrequired minimum: 0
usednumberrequired minimum: 0
availablenumberrequired minimum: 0
sufficientbooleanrequired Response
[
{
"productId": "000000000000000000000001",
"periodId": "000000000000000000000001",
"scopeKey": "string",
"requested": 1,
"capacity": 0,
"used": 0,
"available": 0,
"sufficient": true
}
]400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}